Bug 233581 - Fix Playstation build after r286171
Summary: Fix Playstation build after r286171
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Other Other
: P2 Major
Assignee: ujwal koneru
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-11-29 11:41 PST by ujwal koneru
Modified: 2021-12-01 20:10 PST (History)
5 users (show)

See Also:


Attachments
Patch (1.59 KB, patch)
2021-11-29 13:58 PST, ujwal koneru
no flags Details | Formatted Diff | Diff
Patch (1.57 KB, patch)
2021-11-30 10:22 PST, ujwal koneru
no flags Details | Formatted Diff | Diff
Patch (1.57 KB, patch)
2021-11-30 10:39 PST, ujwal koneru
don.olmstead: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
New patch (1.29 KB, patch)
2021-11-30 12:57 PST, ujwal koneru
ross.kirsling: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch for build fix. (1.29 KB, patch)
2021-11-30 15:35 PST, ujwal koneru
no flags Details | Formatted Diff | Diff
[fast-cq] patch for build fix (1.29 KB, patch)
2021-11-30 15:36 PST, ujwal koneru
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ujwal koneru 2021-11-29 11:41:29 PST
Playstation build is broken after r286171 due to conflict with function override.
https://build.webkit.org/#/builders/65/builds/9628/steps/8/logs/stdio

../../Source/WebCore/platform/posix/SharedBufferPOSIX.cpp:63:25: error: call to non-static member function without an object argument
    while ((bytesRead = read(fd, buffer.data() + totalBytesRead, bytesToRead - totalBytesRead)) > 0)
Comment 1 ujwal koneru 2021-11-29 13:58:40 PST
Created attachment 445338 [details]
Patch
Comment 2 Yoshiaki Jitsukawa 2021-11-29 17:41:02 PST
Comment on attachment 445338 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=445338&action=review

> Source/WebCore/platform/posix/SharedBufferPOSIX.cpp:63
> +    while ((bytesRead = FileSystem::readFromFile(fd, buffer.data() + totalBytesRead, bytesToRead - totalBytesRead)) > 0)

If the intention is to fix the build, why don't we just use ::read()?
Comment 3 ujwal koneru 2021-11-30 10:22:41 PST
Created attachment 445435 [details]
Patch
Comment 4 ujwal koneru 2021-11-30 10:39:32 PST
Created attachment 445438 [details]
Patch
Comment 5 EWS 2021-11-30 11:53:19 PST
ChangeLog entry in Source/WebCore/ChangeLog contains OOPS!.
Comment 6 ujwal koneru 2021-11-30 12:57:12 PST
Created attachment 445457 [details]
New patch

fixed style.
Comment 7 EWS 2021-11-30 15:19:25 PST
/Volumes/Data/worker/Commit-Queue/build/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).
Comment 8 ujwal koneru 2021-11-30 15:35:32 PST
Created attachment 445478 [details]
Patch for build fix.

changed reviewer from nobody to unreviewed.
Comment 9 ujwal koneru 2021-11-30 15:36:28 PST
Created attachment 445479 [details]
[fast-cq] patch for build fix
Comment 10 EWS 2021-11-30 15:43:26 PST
Committed r286330 (244689@main): <https://commits.webkit.org/244689@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 445479 [details].
Comment 11 Radar WebKit Bug Importer 2021-11-30 15:44:31 PST
<rdar://problem/85892745>